#ifndef BYTEBUFFER_HPP_INCLUDED
#define BYTEBUFFER_HPP_INCLUDED

#include "Object.hpp"
#include <cstdint>
namespace Internal
{
    class ByteBuffer : public Object
    {
        public:
            ByteBuffer(const void* Obj);

            ByteBuffer() = default;
            ByteBuffer(ByteBuffer&& Obj) = default;
            ByteBuffer(const ByteBuffer& Obj) = default;
            ByteBuffer& operator=(ByteBuffer&& Obj) = default;
            ByteBuffer& operator=(const ByteBuffer& Obj) = default;

            std::int32_t GetCapacity() const;
            std::int8_t Get(std::int32_t Index) const;

    };
}

#endif // BYTEBUFFER_HPP_INCLUDED
